Skip to main content

GetTransactionById

POST

Query transaction information by transaction id.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
valuestringrequired
Transaction ID (hash). Example: 7c2d4206c03a883dd9066d620335dc1be272a8dc733cfa3f6d10308faa37facc
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
txIDstring
Transaction ID(Hash).
contractRetarray
Transaction Execution Results.
signaturearray
Transaction signature.
raw_data_hexstring
The transaction's raw data. (Format: hex)
raw_dataobject
Transaction content. See here for details.
fee_limitinteger
The transaction's FeeLimit. See here for details. (Unit: sun)
ref_block_bytesstring
The last two bytes of the reference block's number (height), used for transaction validation.
ref_block_hashstring
Bytes 8 to 16 of the reference block's hash, used for transaction validation.
expirationinteger
Transaction expiration time. (Unit: millisecond)
timestampint64
Timestamp. (Unit: millisecond)
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/gettransactionbyid' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"value": "7c2d4206c03a883dd9066d620335dc1be272a8dc733cfa3f6d10308faa37facc"
}'